MODULE TextDisplay;
(* =========================================================================  
   Example ARM Cortex-M3 Oberon Program  
 
   Description:
     Redirect all output from functions in the Out module to the 
     display.
     
   Target:
     All supported systems. 
     
   (c) 2011-2019 CFB Software   
   http://www.astrobe.com  
   
   ========================================================================= *)

IMPORT Display, Main, Out;

PROCEDURE OutLine(s: ARRAY OF CHAR);
BEGIN
  Out.String(s);
  Out.Ln()
END OutLine;

PROCEDURE Run;
BEGIN
  Display.Init();
  (* Redirect all output to display *)
  Out.Init(Display.Char);
  OutLine("All output from");
  OutLine("functions in");
  OutLine("the Out module");
  OutLine("is now sent to");
  OutLine("the display.");
  Out.Ln();
  OutLine("Out.Int(257, 5)");
  Out.Int(257, 5);
  Out.Ln();
  Out.Ln();
  OutLine("Out.Hex(257, 9)");
  Out.Hex(257, 9);
  Out.Ln()
END Run;

BEGIN
  Run
END TextDisplay.
    
